#include "idkaart.h"
#include <algorithm>

IdKaart::IdKaart(std::string naam, std::string adres):id(naam+" "+adres),naamEigenaar(naam), adresEigenaar(adres){

}

std::string IdKaart::userId(){
    return id;
}

void IdKaart::geefToegang(KaartSlot* K){
    toegang.push_back(K);
}

void IdKaart::verwijderToegang(KaartSlot* K){
    auto it = std::find(toegang.begin(), toegang.end(), K) != toegang.end();
    toegang.erase(toegang.begin() + it);
}

bool IdKaart::heeftToegangTot(KaartSlot* K){
    return (std::find(toegang.begin(), toegang.end(), K) != toegang.end());
}
